Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 468200 - =sys-libs/freeipmi-1.2.6 - configure.ac:25: error: 'AM_CONFIG_HEADER': this macro is obsolete.
Summary: =sys-libs/freeipmi-1.2.6 - configure.ac:25: error: 'AM_CONFIG_HEADER': this m...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sysadmin Bugs
URL: https://savannah.gnu.org/patch/index....
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13
  Show dependency tree
 
Reported: 2013-05-01 19:40 UTC by Matt McAdoo
Modified: 2013-05-06 16:37 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt McAdoo 2013-05-01 19:40:06 UTC
***** aclocal *****
***** PWD: /var/tmp/portage/sys-libs/freeipmi-1.2.6/work/freeipmi-1.2.6
***** aclocal -I config -I config

configure.ac:25: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.ac:25: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1

https://bugs.gentoo.org/show_bug.cgi?id=467096#c2

As a workaround, setting WANT_AUTOMAKE=1.12 lets the build succeed.

Reproducible: Always
Comment 1 Peter Volkov (RETIRED) gentoo-dev 2013-05-06 16:37:19 UTC
Fixed in tree with sed. Patch sent upstream:
https://savannah.gnu.org/patch/index.php?8043